#include "pcr3bp.h"

// ######################################################################

void checkHeteroclinicL1L2(PMap& pm)
{
	writeReport("\n\nCovering relations for heteroclonic orbit L1->L2\n");
  checkCovering(pm,H12,N[0],"H12=>N0");
  checkCovering(pm,N[0],N[1],"N0=>N1");
  checkCovering(pm,N[1],N[2],"N1=>N2");
  checkCovering(pm,N[2],N[3],"N2=>N3");
  checkCovering(pm,N[3],N[4],"N3=>N4");
  checkCovering(pm,N[4],N[5],"N4=>N5");
  checkCovering(pm,N[5],N[6],"N5=>N6");
  checkCovering(pm,N[6],N[7],"N6=>N7");
  checkCovering(pm,N[7],H22,"N7=>H22");
}

// ##########################################################################

void coverInteriorHomoclinic(PMap& pm)
{
	writeReport("\n\nCovering relations for homoclinic orbit to L1\n");
	setInteriorHomoclinic();

  checkCovering(pm,TS[0],TS[1],"F0=>F1");
  checkCovering(pm,TS[1],TS[2],"F1=>F2");
  checkCovering(pm,TS[2],TS[3],"F2=>F3");
  checkCovering(pm,TS[3],TS[4],"F3=>F4");
  checkCovering(pm,TS[4],H12,"F4=>H12");
}


// ##########################################################################

void coverExteriorHomoclinic(PMap& pm)
{
	writeReport("\n\nCovering relations for homoclinic orbit to L2\n");
	setExteriorHomoclinic();
	
  checkCovering(pm,TS[0],TS[1],"E0=>E1");
  checkCovering(pm,TS[1],TS[2],"E1=>E2");
  checkCovering(pm,TS[2],TS[3],"E2=>E3");
  checkCovering(pm,TS[3],TS[4],"E3=>E4");
  checkCovering(pm,TS[4],TS[5],"E4=>E5");
  checkCovering(pm,TS[5],H22,"E5=>H22",2);
}

// #####################################################################

void coverNewExteriorHomoclinic(PMap& pm)
{
	writeReport("\n\nCovering relations for new homoclinic orbit to L2.\n");
	setNewExteriorHomoclinic();

  checkCovering(pm,TS[0],TS[1],"G0=>G1");
  checkCovering(pm,TS[1],TS[2],"G1=>G2");
  checkCovering(pm,TS[2],TS[3],"G2=>G3");
  checkCovering(pm,TS[3],TS[4],"G3=>G4");
  checkCovering(pm,TS[4],H22,"G4=>H22");
}


// #####################################################################

void coverNewInteriorHomoclinic(PMap& pm)
{
	writeReport("\n\nCovering relations for new homoclinic orbit to L1\n");
	setNewInteriorHomoclinic();

  checkCovering(pm,TS[0],TS[1],"V0=>V1");
  checkCovering(pm,TS[1],TS[2],"V1=>V2");
  checkCovering(pm,TS[2],TS[3],"V2=>V3");
  checkCovering(pm,TS[3],TS[4],"V3=>V4");
  checkCovering(pm,TS[4],H12,"V4=>H12",2);
}
