#include "main.h"
#include "PMap.h"

#ifndef _3BP
#define _3BP

typedef capd::covrel::GridSet<capd4::IMatrix> GridSet;

extern IVector Lap10,Lap11,Lap20,Lap21;
extern TripleSet N[9];  // for the heteroclinic connection
extern TripleSet H11,H12,H21,H22;
extern TripleSet TS[6]; // for all homoclinic connections

//################## in file algorithms.cpp #################

void checkConeCondition(PMap& pm, TripleSet &H, string message);
bool checkCovering(PMap& pm, TripleSet& N, TripleSet& M, string message, int iterations=1);

//###################  in file ini3bp.cpp #####################

void initL1();
void initL2();
void initSetsN();
void setInteriorHomoclinic();
void setExteriorHomoclinic();
void setNewInteriorHomoclinic();
void setNewExteriorHomoclinic();

//################## in file lyapunov.cpp ###################

void periodicOrbitL1(PMap& pm);
void periodicOrbitL2(PMap& pm);

//################# in file cones.cpp ##################

void checkConeConditionL1(PMap& pm);
void checkConeConditionL2(PMap& pm);

//################ in file connections.cpp #################

void checkHeteroclinicL1L2(PMap& pm);
void coverInteriorHomoclinic(PMap& pm);
void coverExteriorHomoclinic(PMap& pm);
void coverNewInteriorHomoclinic(PMap& pm);
void coverNewExteriorHomoclinic(PMap& pm);

//################## in file pcr3bp.cpp #####################

void writeReport(std::string s);

#endif // _3BP

